Subject: wireless-2.6 git repos broken

From: Michael Buesch <[email-masked]>
Date: Sun, 23 Jul 2006 17:22:38 +0200

Hi John,

I would say something is broken in the wireless-2.6 git repository.
When I try to clone the tree, I get this error:

mb@ppc1:/tmp$ git --version
git version 1.2.3
mb@ppc1:/tmp$ git clone  git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-2.6.git
fatal: packfile '/tmp/wireless-2.6/.git/objects/pack/tmp-ABKsAK' SHA1 mismatch
error: git-clone-pack: unable to read from git-index-pack
error: git-index-pack died with error code 128
clone-pack from 'git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-2.6.git' failed.

mb@ppc1:/tmp$ git --version
git version 1.4.1
mb@ppc1:/tmp$ git clone  git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-2.6.git
Generating pack...
Done counting 290305 objects.
Deltifying 290305 objects.
 100% (290305/290305) done
fatal: unexpected EOF)      
fatal: packfile '/tmp/wireless-2.6/.git/objects/pack/tmp-DuBFrs' SHA1 mismatch
error: git-fetch-pack: unable to read from git-index-pack
error: git-index-pack died with error code 128
fetch-pack from 'git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-2.6.git' failed.

I tried several times on two different machines and also (as you can see)
with different git versions.
Could it be a git bug?

-- 
Greetings Michael.